image: node:16.0.0

stages:
  - yarn
  - test

yarn:
  stage: yarn
  script:
    - yarn config set registry ${CI_NPM_REGISTRY}
    - yarn install
  cache:
    paths:
      - node_modules/
  artifacts:
    expire_in: 1 days
    when: on_success
    paths:
      - node_modules/

test:
  stage: test
  dependencies:
    - yarn
  script:
    - yarn test
